package cz.senslog.analytics.domain;

import java.util.List;

public record ThresholdDimension(long id, NotifyTriggerMode notifyTriggerMode, AttributeType attributeType, List<ThresholdDimensionRule> rules) {

    public static ThresholdDimension of(long id, NotifyTriggerMode notifyTriggerMode, AttributeType attributeType, List<ThresholdDimensionRule> rules) {
        return new ThresholdDimension(id, notifyTriggerMode, attributeType, rules);
    }
}